.lesson_parts {
    max-width: 85vw;
    margin-left: 5vw;
}

.part {
    transition: padding-left 0.3s ease;
    background-color: rgba(112, 182, 243, 0.1);
    max-width: 60vw;
    margin: 10px;
    padding: 15px;
    border-left: 2px solid rgb(43, 129, 137);

}
.part:hover {
    padding-left: 2rem;
}

.part_links {
    max-width: 80vw;
    margin-left: 5vw;
}

.part_links div {
    max-width: 60vw;
    background-color: rgba(43, 129, 137, 0.1);
    border-bottom-right-radius: 40px;
    border-top-right-radius: 40px;
    margin: 10px;
    padding: 15px;
    border-right: 2px solid rgb(43, 129, 137);
    border-left: 2px solid rgb(43, 129, 137);
}


@keyframes gradientShift {
  0% { background-position: -100% 50%; }
  50% { background-position: 100% 50%; }
  100% { background-position: -100% 50%; }
}

.level_head {
    font-family: 'Milonga-Regular', Arial, sans-serif;
    width: min-content;
    font-size: 3rem;
    padding: 2rem;
    border-left: 1rem solid orange;
    border-radius: 0.5rem;
    color: white;
    background: linear-gradient(90deg, rgb(32, 97, 103), rgb(114, 103, 84));
    background-size: 300% 300%;
    animation: gradientShift 10s ease infinite;
}

.level_lesson>legend {
    font-family: 'Milonga-Regular', Arial, sans-serif;
    font-size: 1.5rem;
    padding: 0.5rem;
    border-radius: 0.2rem;
    transition: border-bottom 0.3s ease, padding-right 0.3s ease;
}

.level_lesson>legend:hover {
    padding-right: 7rem;
    border-bottom: 1px solid orange;
}
/* .link_div {
} */